Bug 1257276 - (CVE-2015-4497) CVE-2015-4497 Mozilla: Use-after-free when resizing canvas element during restyling (MFSA 2015-94)
CVE-2015-4497 Mozilla: Use-after-free when resizing canvas element during res...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
impact=critical,public=20150827,repor...
: Security
Depends On:
Blocks: 1257106
  Show dependency treegraph
 
Reported: 2015-08-26 11:52 EDT by Huzaifa S. Sidhpurwala
Modified: 2016-01-22 08:55 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-28 00:50:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2015-08-26 11:52:18 EDT
Mozilla community member Jean-Max Reymond discovered a use-after-free vulnerability with a <canvas> element on a page. This occurs when a resize event is triggered in concert with style changes but the canvas references have been recreated in the meantime, destroying the originally referenced context. This results in an exploitable crash.

Ucha Gobejishvili, working with HP's Zero Day Initiative, subsequently reported this same issue.


External Reference:

https://www.mozilla.org/security/announce/2015/mfsa2015-94.html


Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges Jean-Max Reymond and Ucha Gobejishvili as the original reporter.
Comment 1 errata-xmlrpc 2015-08-27 17:18:33 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2015:1693 https://rhn.redhat.com/errata/RHSA-2015-1693.html

Note You need to log in before you can comment on or make changes to this bug.